- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::PolygonMode Class Reference

State Class for setting OpenGL's polygon culling mode. More...

Inheritance diagram for osg::PolygonMode:

[legend]
List of all members.

## Public Types
enum | Face { FRONT, BACK, FRONT_AND_BACK }
enum | Mode { POINT = GL_POINT, LINE = GL_LINE, FILL = GL_FILL }
## Public Member Functions
| PolygonMode ()
| PolygonMode (const PolygonMode &pm, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, PolygonMode, POLYGONMODE)
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
void | setMode (Face face, Mode mode)
Mode | getMode (Face face) const
bool | getFrontAndBack () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.
## Protected Member Functions
virtual | ~PolygonMode ()
## Protected Attributes
bool | _frontAndBack
Mode | _modeFront
Mode | _modeBack

## Detailed Description

State Class for setting OpenGL's polygon culling mode.

## Member Enumeration Documentation

enum osg::PolygonMode::Face

  | Enumerator:
  FRONT |
  BACK |
  FRONT_AND_BACK |

enum osg::PolygonMode::Mode

  | Enumerator:
  POINT |
  LINE |
  FILL |

## Constructor & Destructor Documentation

PolygonMode::PolygonMode | ( |  | ) |

osg::PolygonMode::PolygonMode | ( | const PolygonMode & | pm,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

PolygonMode::~PolygonMode | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void PolygonMode::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::PolygonMode::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

bool osg::PolygonMode::getFrontAndBack | ( |  | ) | const`[inline]`

PolygonMode::Mode PolygonMode::getMode | ( | Face | face | ) | const

osg::PolygonMode::META_StateAttribute | ( | osg | ,
|  | PolygonMode | ,
|  | POLYGONMODE |
| ) |

void osg::PolygonMode::setMode | ( | Face | face,
|  | Mode | mode
| ) |

## Member Data Documentation

bool osg::PolygonMode::_frontAndBack`[protected]`

Mode osg::PolygonMode::_modeBack`[protected]`

Mode osg::PolygonMode::_modeFront`[protected]`

The documentation for this class was generated from the following files:

- PolygonMode
- PolygonMode.cpp